import frappe


@frappe.whitelist()
def get_tiles_data():
    '''
    function will use to get property dashboard's tiles data
    '''

    properties = frappe.db.count("Property")
    units = frappe.db.count("Unit")
    sold_units = frappe.db.count("Unit", {"status": "Sold"})
    rented_units = frappe.db.count("Unit", {"status": "Rented"})
    available_units = frappe.db.count("Unit", {"status": "Available"})

    data = {
        "total_property": properties,
        "total_unit": units,
        "total_sold_unit": sold_units,
        "total_rented_unit": rented_units,
        "total_available_unit": available_units,
    }

    return data
