from __future__ import unicode_literals
from frappe import _


def get_data():
    return [
        {
            "label": _("Services"),
            "items": [
                {
					"type": "doctype",
					"name": "Maintenance Ticket",
					"onboard": 1
				},
                {
					"type": "doctype",
					"name": "Property Contract",
					"onboard": 1
				},
                {
					"type": "doctype",
					"name": "Reservations",
					"onboard": 1
				},
                {
					"type": "doctype",
					"name": "Auction",
					"onboard": 1
				},
                {
					"type": "doctype",
					"name": "Auction Free Card",
					"onboard": 1
				},
                {
					"type": "doctype",
					"name": "Real Estate Offer",
					"onboard": 1
				},
                {
					"type": "doctype",
					"name": "Real Estate Order",
					"onboard": 1
				}
            ]
        },
        {
            "label": _("Setup"),
            "items": [
                {
                    "type": "doctype",
                    "name": "Unit",
                    "onboard": 1
                },
                {
                    "type": "doctype",
                    "name": "Property",
                    "onboard": 1
                },
                {
                    "type": "doctype",
                    "name": "Unit Type",
                    "onboard": 1
                },
                {
                    "type": "doctype",
                    "name": "Property Type",
                    "onboard": 1
                }, 
                {
                    "type": "doctype",
                    "name": "Unit Activity",
                    "onboard": 1
                },
                {
                    "type": "doctype",
                    "name": "Opening Phase",
                    "onboard": 1
                },
            ]
        },
        {
            "label": _("People"),
            "items": [
                {
                    "type": "doctype",
                    "name": "User",
                    "onboard": 1
                },
                {
                    "type": "doctype",
                    "name": "Customer",
                    "onboard": 1
                }
            ]
        },
        {
            "label": _("Reports"),
            "items": [
                {
					"type": "report",
					"is_query_report": True,
					"name": "Rent Roll",
					"doctype": "Property Contract",
					"onboard": 1
				},
                {
					"type": "report",
					"is_query_report": True,
					"name": "Service Charge Roll",
					"doctype": "Property Contract",
					"onboard": 1
				},
                {
					"type": "report",
					"is_query_report": True,
					"name": "Sold Unit",
					"doctype": "Unit",
					"onboard": 1
				},
                {
					"type": "report",
					"is_query_report": True,
					"name": "Property Management Revenue",
					"doctype": "Property Contract",
					"onboard": 1
				}
            ]
        },
        {
            "label": _("Dashboards"),
            "items": [
                {
                    "type": "page",
                    "name": "property-dashboard",
                    "label": _("Property Dashboard"),
                    "onboard": 1
                }
            ]
        },
    ]
