# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from . import __version__ as app_version

app_name = "muezzin"
app_title = "Muezzin"
app_publisher = "Havenir Solutions"
app_description = "Property Management App for Muezzin"
app_icon = "octicon octicon-file-directory"
app_color = "grey"
app_email = "info@havenir.com"
app_license = "MIT"

# Includes in <head>
# ------------------

# include js, css files in header of desk.html
app_include_css = "/assets/css/muezzin.css"
# app_include_js = "/assets/muezzin/js/muezzin.js"

# include js, css files in header of web template
# web_include_css = "/assets/muezzin/css/muezzin.css"
# web_include_js = "/assets/muezzin/js/muezzin.js"

# include js in page
# page_js = {"page" : "public/js/file.js"}

# include js in doctype views
doctype_js = {
    "Payment Entry": "public/js/payment_entry.js"
}

# doctype_list_js = {"doctype" : "public/js/doctype_list.js"}
# doctype_tree_js = {"doctype" : "public/js/doctype_tree.js"}
# doctype_calendar_js = {"doctype" : "public/js/doctype_calendar.js"}

# Home Pages
# ----------

# application home page (will override Website Settings)
# home_page = "login"

# website user home page (by Role)
# role_home_page = {
#	"Role": "home_page"
# }

# Website user home page (by function)
# get_website_user_home_page = "muezzin.utils.get_home_page"

# Generators
# ----------

# automatically create page for each record of this doctype
# website_generators = ["Web Page"]

# Installation
# ------------

# before_install = "muezzin.install.before_install"
# after_install = "muezzin.install.after_install"

# Desk Notifications
# ------------------
# See frappe.core.notifications.get_notification_config

# notification_config = "muezzin.notifications.get_notification_config"

# Permissions
# -----------
# Permissions evaluated in scripted ways

# permission_query_conditions = {
# 	"Event": "frappe.desk.doctype.event.event.get_permission_query_conditions",
# }
#
# has_permission = {
# 	"Event": "frappe.desk.doctype.event.event.has_permission",
# }

# Document Events
# ---------------
# Hook on document methods and events

doc_events = {
    "Sales Invoice": {
        "on_submit": "muezzin.events.sales_invoice.submit",
        "on_cancel": "muezzin.events.sales_invoice.cancel"
    }
}

# Scheduled Tasks
# ---------------

scheduler_events = {
	# "all": [
	# 	"muezzin.tasks.all"
	# ],
	"daily": [
		# "muezzin.property_management.doctype.property_contract.property_contract.create_sales_invoice",
		"muezzin.property_management.doctype.property_contract.property_contract.update_unit_status"
	],
	"hourly": [
		"muezzin.property_management.doctype.property_contract.property_contract.update_unit_status_basd_on_reservation"
	],
	# "weekly": [
	# 	"muezzin.tasks.weekly"
	# ]
	# "monthly": [
	# 	"muezzin.tasks.monthly"
	# ]
}

# Testing
# -------

# before_tests = "muezzin.install.before_tests"

# Overriding Methods
# ------------------------------
#
# override_whitelisted_methods = {
# 	"frappe.desk.doctype.event.event.get_events": "muezzin.event.get_events"
# }
#
# each overriding function accepts a `data` argument;
# generated from the base implementation of the doctype dashboard,
# along with any modifications made in other Frappe apps
# override_doctype_dashboards = {
# 	"Task": "muezzin.task.get_dashboard_data"
# }
fixtures = [{
    "dt": "Custom Field",
    "filters": [["name", "in", [
            'Journal Entry-accounting_dimensions',
            'Journal Entry-unit',
            'Journal Entry-property',
            'Journal Entry-column_break_45',
            'Journal Entry-cost_center',
            'Customer-company_name_en',
            'Sales Invoice-property_contract',
            'Lead-sales_persons',
            'Customer-documents',
            'Customer-customer_documents'
            ]]]
},
    {
        "dt": "Property Setter",
        "filters": [["name", "in", [
            'Customer-customer_name-l abel',
        ]]]
},
    {
        "dt": "Accounting Dimension",
        "filters": [["name", "in", [
            'Property',
            'Unit'
        ]]]
}

]
