// Copyright (c) 2021, Havenir Solutions and contributors
// For license information, please see license.txt

frappe.ui.form.on('Auction', {
	refresh: function(frm) {
		frm.set_query('property', () => {
			return {
				filters: {
					property_type: frm.doc.property_type
				}
			}
		})
	},

	property_type: function(frm) {
		frm.doc.property = null;
		frm.refresh_field('property');
	},

	property: function(frm) {
		if (frm.doc.property) {
			frappe.db.get_value('Property', frm.doc.property, 'property_type')
			.then( r=> {
				if (r.message) {
					frm.doc.property_type = r.message.property_type;
					frm.refresh_field('property_type');
				}
			})
		}
	}
});
