// Copyright (c) 2021, Havenir Solutions and contributors
// For license information, please see license.txt

frappe.ui.form.on('Auction Free Card', {
	refresh: function(frm) {
		frm.set_query('units', () => {
			if (frm.doc.auction) {
				return {
					query: 'muezzin.property_management.doctype.auction_free_card.auction_free_card.get_unit',
					filters: {
						'parent': frm.doc.auction
					}
				}
			} else {
				return {
					filters: {
						"parent": 'Empty'
					}
				}
			}
		})
	},

	auction: function(frm) {
		if(frm.doc.auction) {
			frm.call('set_unit')
			.then( r => {
				refresh_field('units');
			})
		} else {
			frm.doc.units = [];
			frm.doc.property_type = null;
			frm.doc.property = null;
			frm.refresh_fields('units', 'property', 'property_type');
		}
	}
});
