# -*- coding: utf-8 -*-
# Copyright (c) 2021, Havenir Solutions and contributors
# For license information, please see license.txt

from __future__ import unicode_literals
import frappe
from frappe.model.document import Document

class AuctionFreeCard(Document):
	def set_unit(self):
		result = frappe.db.get_list('Auction Unit', {'parent': self.auction}, 'unit')
		for row in result:
			self.append('units', {
				'unit': row.unit
			})

@frappe.whitelist()
def get_unit(doctype, txt, searchfield, start, page_len, filters):
	return frappe.db.sql("""select unit
		from `tabAuction Unit`
		where
			parent = {auction}"""
		.format(auction = frappe.db.escape(filters.get("auction"))
		))