// Copyright (c) 2021, Havenir Solutions and contributors
// For license information, please see license.txt

frappe.ui.form.on('Discount Request', {
    refresh: function (frm) {
        get_brand_names(frm)
    },
    onload: function (frm) {
        get_brand_names(frm)
    },
    customer: function (frm) {
        get_brand_names(frm)
        frm.set_query('property_contract', function (doc) {
            return {
                filters: {
                    renter: frm.doc.customer,
                    docstatus: 1
                }
            }
        });
    }
});


let get_brand_names = function (frm) {
    if (frm.doc.customer) {
        frappe.call({
            method: "get_brand_names",
            doc: frm.doc,
            callback: function (data) {
                if (data.message) {
                    let options = data.message;
                    let options_new = options.join("\n");
                    frm.set_df_property('brand_name', 'options', options_new);
                }
            }
        })
    }
}