// Copyright (c) 2021, Havenir Solutions and contributors
// For license information, please see license.txt

frappe.ui.form.on('Property', {
	refresh: function(frm) {
		if (!frm.is_dirty()) {
			create_custom_buttons(frm);
		}
	}
});

const create_custom_buttons = function(frm) {
	frm.add_custom_button(__('Journal Entry'), () => {
		let doc = frm.doc
		frappe.run_serially([
			() => frappe.new_doc('Journal Entry'),
			() => {
				cur_frm.doc.cost_center = doc.cost_center;
				cur_frm.doc.property = doc.name;
				cur_frm.refresh();
			}
		]);
	}, __('Create'));

	frm.add_custom_button(__('Sales Invoice'), () => {
		let doc = frm.doc
		frappe.run_serially([
			() => frappe.new_doc('Sales Invoice'),
			() => {
				cur_frm.doc.cost_center = doc.cost_center;
				cur_frm.doc.property = doc.name;
				cur_frm.refresh();
			}
		]);
	}, __('Create'));

	frm.add_custom_button(__('Payment Entry'), () => {
		let doc = frm.doc
		frappe.run_serially([
			() => frappe.new_doc('Payment Entry'),
			() => {
				cur_frm.doc.cost_center = doc.cost_center;
				cur_frm.doc.property = doc.name;
				if (doc.customer) {
					cur_frm.doc.party_type = 'Customer';
					cur_frm.doc.party = doc.customer;
					cur_frm.doc.party_name = doc.customer_name;
				}
				if (doc.supplier) {
					cur_frm.doc.party_type = 'Supplier';
					cur_frm.doc.party = doc.supplier;
					cur_frm.doc.party_name = doc.supplier_name;
				}
				cur_frm.refresh();
			}
		]);
	}, __('Create'));
}